SDL Visual Test

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
screenshot.c File Reference
`#include "SDL_visualtest_mischelper.h"`
`#include <SDL_test.h>`

## Functions
int | SDLVisualTest_VerifyScreenshots (char *args, char *test_dir, char *verify_dir)

## Detailed Description

Source file for the screenshot API.

## Function Documentation

int SDLVisualTest_VerifyScreenshots | ( | char * | args,
|  | char * | test_dir,
|  | char * | verify_dir
| ) |  |

Compare a screenshot taken previously with SUT arguments `args` that is located in `test_dir` with a verification image that is located in `verify_dir`.

Returns
  -1 on failure, 0 if the images were not equal, 1 if the images are equal and 2 if the verification image is not present.